#ifndef __MCUMODULE_H__
#define __MCUMODULE_H__

#include <QObject>

class MCUModule : public QObject
{
    Q_OBJECT

public:
    explicit MCUModule(QObject *parent = nullptr);

    bool isHeating() const;
    void setIsHeatng(const bool &newIsHeating);

    int screenBrightness() const;
    void setScreenBrightness(const int &newScreenBrightness);

    int keyBrightness() const;
    void setKeyBrightness(const int &newKeyBrightness);
    
    int screenTemp() const;
    void setScreenTemp(const int &newScreenTemp);

    int interfaceTemp() const;
    void setInterfaceTemp(const int &newInterfaceTemp);

private:
    bool m_isHeating;       // 加热状态
    int m_screenBrightness; // 屏幕亮度
    int m_keyBrightness;    // 按键亮度
    int m_screenTemp;       // 屏幕温度
    int m_interfaceTemp;    // 接口板载温度

};

#endif  // MCUMODULE_H